Bug 13292 - XFree86 hardcoded in xinit
XFree86 hardcoded in xinit
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-30 16:26 EDT by Gene Czarcinski
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-03 01:12:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2000-06-30 16:26:46 EDT
On the testers mailing list it has been mentioed that redhat plans to ship
3.3.6 xservers for those that do not work in 4.0.  However, there may be a
problem with this that need to be "fixed".

In order to run the betas under vmware, I need to install vmware's special
xserver.  To make this work, I found that I needed to do the following:

1. Install my xserver into /usr/X11R6/bin

2. rename or delete /usr/X11R6/bin/XFree86

3. Make a symbolic link to my xserver as /usr/X11R6/bin/XFree86

4. Make a symbokic link to /etc/X11/XF86Config as /etc/XF86Config

Without renaming XFree86 and creating the symbolic link, the 4.0 driver was
still started regardless of where /etc/X11/X pointed.

This also works on real hardware with a 3.3.6 xserver such as XF86_Mach64.

Using strings, the only binary program I could find the had "XFree86" was
/usr/X11R6/bin/xinit.

Gene
Comment 1 Bill Nottingham 2000-07-03 01:12:31 EDT
Was /usr/X11R6/bin/X linked to XFree86 or something else?
Comment 2 Gene Czarcinski 2000-07-03 11:50:11 EDT
With the 4.0.1 and associated updates, this is no longer a problem.

/usr/X11R6/bin/X now points to Xwrapper.

I am closing this bug.

Gene

Note You need to log in before you can comment on or make changes to this bug.